#include <stdio.h>
//NAPOMENA: tek pred kraj testa primetio sam da je broj koji se unosi ogranicen na 3 cifre
//Molim Vas da ne zamerite sto sam koristio nizove

int main(){

  int n,brCif=0,temp,i,tempV,brCifNiza=0;
  int s[100]; //inicijalni niz elemenata
  int s2[100];//niz bez nula
  int cif1,cif2,cif3;
  int min;
  scanf("%d",&n);
  temp=n;
  if(n<0){
    printf("-1\n");
  }
  else{
    //petlja za odredjivanje broja cifara
    while(temp!=0){
     temp=temp/10;
     brCif++;
    }
    if((brCif!=3)){
     printf("-1\n"); 
    }
    else{
    temp=n;
    tempV=temp;
    //unos cifara u niz s
    for(i=0;i<brCif;i++){
     s[i]=tempV%10;
     tempV=tempV/10;
      }
    //provera da li niz sadrzi nule
    for(i=0;i<brCif;i++){
      cif1=s[i];
     if(cif1!=0){
   
      s2[brCifNiza]=cif1;
      brCifNiza++;
     }
    }
    //slaganje po poretku i stampa na izlaz
 
    for(i=0;i<brCifNiza;i++){
    printf("%d",s2[i]);
  }
  printf("\n");
  }
  }
  
return 1;
}
